Altibase.jdbc.driver.spec4

## Class Altibase42XAConnection

- java.lang.Object
- - Altibase.jdbc.driver.AltibasePooledConnection
  - - Altibase.jdbc.driver.AltibaseXAConnection
    - - Altibase.jdbc.driver.spec4.Altibase42XAConnection

All Implemented Interfaces:
  javax.sql.PooledConnection, javax.sql.XAConnection

    public class Altibase42XAConnection
    extends AltibaseXAConnection
    implements javax.sql.XAConnection

### Constructor Summary

Constructors
Constructor and Description
`Altibase42XAConnection(java.sql.Connection aPhysicalConnection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addStatementEventListener(javax.sql.StatementEventListener aListener)`
`protected AltibaseLogicalConnection` `createLogicalConnection(AltibaseConnection aPhysicalConnection, AltibasePooledConnection aParent)`
`void` `removeStatementEventListener(javax.sql.StatementEventListener aListener)`

### Methods inherited from class Altibase.jdbc.driver.AltibaseXAConnection

`close, getXAResource`

### Methods inherited from class Altibase.jdbc.driver.AltibasePooledConnection

`addConnectionEventListener, createLogicalConnection, getConnection, removeConnectionEventListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.XAConnection

`getXAResource`

### Methods inherited from interface javax.sql.PooledConnection

`addConnectionEventListener, close, getConnection, removeConnectionEventListener`

### Constructor Detail

#### Altibase42XAConnection

    public Altibase42XAConnection(java.sql.Connection aPhysicalConnection)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### createLogicalConnection

    protected AltibaseLogicalConnection createLogicalConnection(AltibaseConnection aPhysicalConnection,
                                                                AltibasePooledConnection aParent)

Overrides:
  `createLogicalConnection` in class `AltibaseXAConnection`

#### addStatementEventListener

    public void addStatementEventListener(javax.sql.StatementEventListener aListener)

Specified by:
  `addStatementEventListener` in interface `javax.sql.PooledConnection`

#### removeStatementEventListener

    public void removeStatementEventListener(javax.sql.StatementEventListener aListener)

Specified by:
  `removeStatementEventListener` in interface `javax.sql.PooledConnection`